Bug 487781 - asterisk attempts to use a non-existent /var/lib/asterisk/keys directory
asterisk attempts to use a non-existent /var/lib/asterisk/keys directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 16:01 EST by Michal Jaegermann
Modified: 2009-09-25 16:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.6.0.15-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 16:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2009-02-27 16:01:37 EST
Description of problem:

I asterisk logs one can find:
WARNING[18447] res_crypto.c: Unable to open key directory '/var/lib/asterisk/keys'

Such directory indeed does not exist.  There is /usr/share/asterisk/keys directory and that one is mentioned in a number of places in /etc/asterisk/ configuration files.

At this moment a symlink from /usr/share/asterisk/keys to /var/lib/asterisk/keys prevents that complaint

Version-Release number of selected component (if applicable):
asterisk-1.6.0.5-2.fc10

How reproducible:
on every restart
Comment 1 Fedora Update System 2009-09-04 00:16:16 EDT
asterisk-1.6.0.15-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/asterisk-1.6.0.15-1.fc10
Comment 2 Fedora Update System 2009-09-06 16:45:10 EDT
asterisk-1.6.0.15-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9374
Comment 3 Michal Jaegermann 2009-09-07 13:57:16 EDT
Grepping through new binaries one indeed finds '/usr/share/asterisk/keys'.
OTOH in /etc/asterisk/asterisk.conf there is
astkeydir => /var/lib/asterisk
(and other instances of the same directory - hard to tell if expected or not).

Also various files in /usr/share/asterisk/static-http/docs/ refer to locations /var/lib, like /var/lib/asterisk/sounds/priv-callerintros or /var/lib/asterisk/phoneprov or /var/lib/asterisk/agi-bin and those are clearly
not something expected in a default configuration.
Comment 4 Fedora Update System 2009-09-25 16:04:32 EDT
asterisk-1.6.0.15-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.